Reference:AecBoundingObjectRule Class
The following list shows all members of the AecBoundingObjectRule base class:
namespace Autodesk.Aec.SpaceOffsetRulesManager
{
public abstract class AecBoundingObjectRule : AecSpaceOffsetBaseRule
{
public AecBoundingObjectRule();
public abstract bool Apply(
Autodesk.AutoCAD.DatabaseServices.ObjectId idSpace,
Autodesk.AutoCAD.DatabaseServices.ObjectId idObject);
}
}
Bounding Adjacency Rule (SpaceOffsetRulesManager.AecBoundingAdjacencyRule Base Class)
Bounding adjacency rules define an offset for segments of the space base profile depending on the space that is adjacent
to this segment. A common use case for gross offset profiles is that bounding adjacency rules define that the boundary
should be offset to the center of the bounding object at interior walls and to the outside of the bounding object at
exterior walls.
Implementation of a Bounding Adjacency Rule
To implement a bounding adjacency rule, you need to add a new class that is derived from
SpaceOffsetRulesManager.AecBoundingAdjacencyRule. As with all previously described offset types, the new class needs to
implement the Apply interface of this base class and register itself for the object types it should be called for in the
constructor by calling the base method AecSpaceOffsetRuleBase.RegisterType(). The Apply method each rule needs to
implement has the following form in AecBoundingAdjacencyRule:
public abstract bool Apply(Autodesk.AutoCAD.DatabaseServices.ObjectId idSpace,
Autodesk.AutoCAD.DatabaseServices.ObjectId idObject,
Autodesk.AutoCAD.DatabaseServices.ObjectId idAdjSpace);
The first ObjectId argument is the current space for which the offset boundary is to be calculated. The second ObjectId
is the bounding object between the space from the first argument and the adjacent space. The third argument is the
ObjectId of the adjacent space. When there is no adjacent space, which is the case at exterior walls, the value of this
argument will be ObjectId.Null. The following example shows the frame for a new space rule called
BoundingAdjacencyRuleGross:
namespace AecSpaceOffsetStandardBasic
{
public class BoundingAdjacencyRuleGross : AecBoundingAdjacencyRule
{
public BoundingAdjacencyRuleGross()
{
}
public override AecSpaceOffsetInfo Apply(ObjectId idSpace, ObjectId idObject, ObjectId idAdjSpace)
{
//
}
}
}
Sample Bounding Adjacency Rule BoundingAdjacencyRuleGross
The following example shows the implementation of a bounding adjacency rule that is used in the sample project. It
defines an offset to the center of the bounding object for 2 spaces at interior walls and an offset to the outside of the
wall if there is no adjacent space.
Implementing Offset Rules | 1757
Summary of Contents for 00128-051462-9310 - AUTOCAD 2008 COMM UPG FRM 2005 DVD
Page 1: ...AutoCAD Architecture 2008 User s Guide 2007 ...
Page 4: ...1 2 3 4 5 6 7 8 9 10 ...
Page 40: ...xl Contents ...
Page 41: ...Workflow and User Interface 1 1 ...
Page 42: ...2 Chapter 1 Workflow and User Interface ...
Page 146: ...106 Chapter 3 Content Browser ...
Page 164: ...124 Chapter 4 Creating and Saving Drawings ...
Page 370: ...330 Chapter 6 Drawing Management ...
Page 440: ...400 Chapter 8 Drawing Compare ...
Page 528: ...488 Chapter 10 Display System ...
Page 540: ...500 Chapter 11 Style Manager ...
Page 612: ...572 Chapter 13 Content Creation Guidelines ...
Page 613: ...Conceptual Design 2 573 ...
Page 614: ...574 Chapter 14 Conceptual Design ...
Page 678: ...638 Chapter 16 ObjectViewer ...
Page 683: ...Designing with Architectural Objects 3 643 ...
Page 684: ...644 Chapter 18 Designing with Architectural Objects ...
Page 788: ...748 Chapter 18 Walls ...
Page 942: ...902 Chapter 19 Curtain Walls ...
Page 1042: ...1002 Chapter 21 AEC Polygons ...
Page 1052: ...Changing a door width 1012 Chapter 22 Doors ...
Page 1106: ...Changing a window width 1066 Chapter 23 Windows ...
Page 1172: ...1132 Chapter 24 Openings ...
Page 1226: ...Using grips to change the flight width of a spiral stair run 1186 Chapter 25 Stairs ...
Page 1368: ...Using the Angle grip to edit slab slope 1328 Chapter 28 Slabs and Roof Slabs ...
Page 1491: ...Design Utilities 4 1451 ...
Page 1492: ...1452 Chapter 30 Design Utilities ...
Page 1536: ...1496 Chapter 31 Layout Curves and Grids ...
Page 1564: ...1524 Chapter 32 Grids ...
Page 1611: ...Documentation 5 1571 ...
Page 1612: ...1572 Chapter 36 Documentation ...
Page 1706: ...Stretching a surface opening Moving a surface opening 1666 Chapter 36 Spaces ...
Page 1710: ...Offsetting the edge of a window opening on a freeform space surface 1670 Chapter 36 Spaces ...
Page 1956: ...1916 Chapter 42 Fields ...
Page 2035: ...Properties of a detail callout The Properties of a Callout Tool 1995 ...
Page 2060: ...2020 Chapter 45 Callouts ...
Page 2170: ...2130 Chapter 47 AEC Content and DesignCenter ...
Page 2171: ...Other Utilities 6 2131 ...
Page 2172: ...2132 Chapter 48 Other Utilities ...
Page 2182: ...2142 Chapter 51 Reference AEC Objects ...
Page 2212: ...2172 Chapter 52 Customizing and Adding New Content for Detail Components ...
Page 2217: ...AutoCAD Architecture 2008 Menus 54 2177 ...
Page 2226: ...2186 Chapter 54 AutoCAD Architecture 2008 Menus ...
Page 2268: ...2228 Index ...